#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	string s;
    cin >> s;
    int q;
    cin >> q;
    vector <int> v;
    for(int i = 0; i < s.size() - 1; i++){
        if(s[i] > s[i+1]){
            v.push_back(i);
        }
    }
    for(int i = 0; i < q; i++){
        int l, r, k = 0, pr = 1;
        cin >> l >> r;
        l--;
        r--;
        for(int j = 0; j < v.size(); j++){
            if(v[j]>=l && v[j]<=r){
                k++;
                if(r==v[j]){
                    pr = 0;
                }
            }
        }
        if(pr){
                k++;
        }
        cout << k << endl;
    }
}
